c*****************************************************************
c     x: Longitude (unit:degree)
c     y:  Latitude (unit:degree)
c   amp: Amplitude of Sea Surface Elevation (unit:meter)
c   phs:     Phase of Sea Surface Elevation (unit:degree)
c******************************************************************
      integer iq,jq
      parameter(iq=4320,jq=1921)
      real x(iq),y(jq),amp(iq,jq),phs(iq,jq)     
c--open data file--
      open(10,file='k1.niwa.bindata',form='unformatted')
c--read data--
      read(10) (x(i),i=1,iq),(y(j),j=1,jq),
     @         ((amp(i,j),i=1,iq),j=1,jq),
     @         ((phs(i,j),i=1,iq),j=1,jq)
c---
      stop
      end
